Loading...
Searching...
No Matches
juce::FloatVectorOperations Class Reference

`#include <juce_FloatVectorOperations.h>`

## Static Public Member Functions

static void JUCE_CALLTYPE | convertFixedToFloat (float *dest, const int *src, float multiplier, int num) noexcept
static void JUCE_CALLTYPE | convertFixedToFloat (float *dest, const int *src, float multiplier, size_t num) noexcept
static void JUCE_CALLTYPE | enableFlushToZeroMode (bool shouldEnable) noexcept
static void JUCE_CALLTYPE | disableDenormalisedNumberSupport (bool shouldDisable=true) noexcept
static bool JUCE_CALLTYPE | areDenormalsDisabled () noexcept

## Detailed Description

A collection of simple vector operations on arrays of floating point numbers, accelerated with SIMD instructions where possible and providing all methods from FloatVectorOperationsBase.

See also
  FloatVectorOperationsBase

Definition at line 180 of file juce_FloatVectorOperations.h.

## Member Function Documentation

## areDenormalsDisabled()

bool JUCE_CALLTYPE juce::FloatVectorOperations::areDenormalsDisabled | ( |  | ) |

static noexcept

This method returns true if denormals are currently disabled.

Definition at line 1517 of file juce_FloatVectorOperations.cpp.

## convertFixedToFloat() [1/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::convertFixedToFloat | ( | float * | dest,
|  | const int * | src,
|  | float | multiplier,
|  | int | num )

static noexcept

Definition at line 1421 of file juce_FloatVectorOperations.cpp.

## convertFixedToFloat() [2/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::convertFixedToFloat | ( | float * | dest,
|  | const int * | src,
|  | float | multiplier,
|  | size_t | num )

static noexcept

Definition at line 1416 of file juce_FloatVectorOperations.cpp.

## disableDenormalisedNumberSupport()

void JUCE_CALLTYPE juce::FloatVectorOperations::disableDenormalisedNumberSupport | ( | bool | shouldDisable = true | ) |

static noexcept

On Intel CPUs, this method enables the SSE flush-to-zero and denormalised-are-zero modes. This effectively sets the DAZ and FZ bits of the MXCSR register. On arm CPUs this will enable flush to zero mode. It's a convenient thing to call before audio processing code where you really want to avoid denormalisation performance hits.

Definition at line 1499 of file juce_FloatVectorOperations.cpp.

## enableFlushToZeroMode()

void JUCE_CALLTYPE juce::FloatVectorOperations::enableFlushToZeroMode | ( | bool | shouldEnable | ) |

static noexcept

This method enables or disables the SSE/NEON flush-to-zero mode.

Definition at line 1483 of file juce_FloatVectorOperations.cpp.

The documentation for this class was generated from the following files:

- juce_FloatVectorOperations.h
- juce_FloatVectorOperations.cpp